## folder-color-switcher 1.0.3

=== debian/changelog ===
folder-color-switcher (1.0.3) rebecca; urgency=medium

  * Added dependencies on gir packages for nemo and caja

 -- Clement Lefebvre <root@linuxmint.com>  Wed, 12 Nov 2014 10:22:27 +0100

folder-color-switcher (1.0.2) rebecca; urgency=medium

  * caja and nemo extension depend on folder-color-switcher

 -- Clement Lefebvre <root@linuxmint.com>  Wed, 12 Nov 2014 01:20:46 +0100

folder-color-switcher (1.0.1) rebecca; urgency=medium

  * Updated translations

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 11 Nov 2014 12:14:45 +0100

folder-color-switcher (1.0.0) rebecca; urgency=medium

  * Updated translations

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 31 Oct 2014 18:21:29 +0100

folder-color-switcher (0.0.2) rebecca; urgency=medium

  * Multiple fixes

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 30 Sep 2014 12:55:38 +0200

folder-color-switcher (0.0.1) qiana; urgency=high

  * Initial release

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 26 Aug 2014 13:25:00 +0100

## folder-color-switcher 1.0.4

=== debian/changelog ===
folder-color-switcher (1.0.4) rafaela; urgency=medium

  * Updated translations

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 02 Jun 2015 13:21:19 +0200

=== debian/rules ===
#!/usr/bin/make -f

%:		
	mkdir -p $(CURDIR)/nemo-extensions/
	mkdir -p $(CURDIR)/caja-extensions/	
	dh $@

## folder-color-switcher 1.0.5

=== debian/changelog ===
folder-color-switcher (1.0.5) rosa; urgency=medium

  [ Clement Lefebvre ]
  * Updated translations

  [ Michael Webster ]
  * Replace os.system with subprocess.call

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 06 Nov 2015 14:37:29 +0000

## folder-color-switcher 1.0.9

=== debian/changelog ===
folder-color-switcher (1.0.9) sarah; urgency=medium

  * Updated translations

 -- Clement Lefebvre <root@linuxmint.com>  Sat, 25 Jun 2016 12:14:08 +0100

folder-color-switcher (1.0.8) sarah; urgency=medium

  * Updated translations

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 24 May 2016 14:22:50 +0100

folder-color-switcher (1.0.7) sarah; urgency=medium

  * Updated translations

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 22 Apr 2016 16:02:00 +0100

folder-color-switcher (1.0.6) sarah; urgency=medium

  [ Michael Webster ]
  * nemo-folder-color-switcher: add folder-home to default folders

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 19 Feb 2016 12:29:58 +0000

## folder-color-switcher 1.1.3

=== debian/changelog ===
folder-color-switcher (1.1.3) serena; urgency=medium

  * l10n: Update translations

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 12 Dec 2016 14:41:04 +0000

folder-color-switcher (1.1.2) serena; urgency=medium

  * caja: Ensure item name is unique

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 10 Nov 2016 11:24:43 +0000

folder-color-switcher (1.1.1) serena; urgency=medium

  * l10n: Update translations

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 10 Nov 2016 10:04:02 +0000

folder-color-switcher (1.1.0) serena; urgency=medium

  [ Jan Philipp Wächter ]
  * nemo-folder-color-switcher: use Python logging
  * nemo: Implement dedicate Theme class
  * nemo: Implement base class for extensions
  * nemo: Use Theme and base class
  * caja: Port changes to Caja extension
  * Clean up code
  * Use new-style classes in both extensions
  * Fail gracefully if folder.svg cannot be found

  [ monsta ]
  * caja extension: add dummy get_background_items function

  [ Clement Lefebvre ]
  * debug: Switch warnings to debug logs
  * Fix issue in previous merge
  * l10n: Fix translation of color names
  * l10n: Add pot file

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 04 Nov 2016 13:09:20 +0000

## folder-color-switcher 1.5.0

=== Makefile ===
all: buildmo

buildmo:
	@echo "Building the mo files"
	# WARNING: the second sed below will only works correctly with the languages that don't contain "-"
	for file in `ls po/*.po`; do \
		lang=`echo $$file | sed 's@po/@@' | sed 's/.po//' | sed 's/folder-color-switcher-//'`; \
		install -d usr/share/locale/$$lang/LC_MESSAGES/; \
		msgfmt -o usr/share/locale/$$lang/LC_MESSAGES/folder-color-switcher.mo $$file; \
	done \

clean:
	rm -rf usr/share/locale

## folder-color-switcher 1.1.5

=== debian/changelog ===
folder-color-switcher (1.1.5) sonya; urgency=medium

  * l10n: Update translations

 -- Clement Lefebvre <root@linuxmint.com>  Wed, 28 Jun 2017 10:54:16 +0200

folder-color-switcher (1.1.4) sonya; urgency=medium

  * l10n: Update translations

 -- Clement Lefebvre <root@linuxmint.com>  Sat, 06 May 2017 15:25:00 +0100

=== debian/control ===
Source: folder-color-switcher
Section: gnome
Priority: extra
Maintainer: Linux Mint <root@linuxmint.com>
Build-Depends: python-distutils-extra, debhelper (>=7)

Package: nemo-folder-color-switcher
Architecture: all
Section: utils
Priority: extra
Depends: python-nemo, nemo, ${python:Depends}, folder-color-switcher, gir1.2-nemo-3.0
Description: Change a folder color
 Change folder colors in Nemo

Package: caja-folder-color-switcher
Architecture: all
Section: utils
Priority: extra
Depends: python-caja, caja, ${python:Depends}, folder-color-switcher, gir1.2-caja
Description: Change a folder color
 Change folder colors in Caja

Package: folder-color-switcher
Architecture: all
Section: utils
Priority: extra
Depends: ${python:Depends}
Description: Change a folder color
 Change folder colors

## folder-color-switcher 1.1.7

=== debian/changelog ===
folder-color-switcher (1.1.7) sylvia; urgency=medium

  * l10n: Update translations

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 23 Nov 2017 12:13:58 +0000

folder-color-switcher (1.1.6) sylvia; urgency=medium

  * l10n: Update translations

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 03 Nov 2017 14:09:35 +0000

## folder-color-switcher 1.2.3

=== debian/changelog ===
folder-color-switcher (1.2.3) tara; urgency=medium

  [ Michael Webster ]
  * nemo-folder-color-switcher.py: Use an icon instead of drawing the restore button, this makes highlighting work properly like the color buttons.

  [ Clement Lefebvre ]
  * l10n: Update translations

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 22 May 2018 12:21:06 +0100

folder-color-switcher (1.2.2) tara; urgency=medium

  [ JosephMcc ]
  * nemo-extension: Fix the size of the folder color icons in the menu (#11)

  [ Michael Webster ]
  * *-folder-color-switcher.py: Cache the current theme's ancestor's and supported colors, to keep turnaround fast during file selection.
  * Add Mint-Y to known supported themes, detect svg or png at theme initial loading, cache color variants for the current theme.

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 10 May 2018 10:07:27 +0100

folder-color-switcher (1.2.1) tara; urgency=medium

  * Packaging: Fix typo

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 13 Feb 2018 10:36:11 +0000

folder-color-switcher (1.2.0) tara; urgency=medium

  * Packaging: Replace conflicts with breaks

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 13 Feb 2018 10:31:40 +0000

folder-color-switcher (1.1.9) tara; urgency=medium

  * Fix mistake in previous commit

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 08 Feb 2018 13:51:01 +0000

folder-color-switcher (1.1.8) tara; urgency=medium

  * Simplify packaging

 -- Clement Lefebvre <root@linuxmint.com>  Wed, 07 Feb 2018 13:25:31 +0000

=== debian/control ===
Source: folder-color-switcher
Section: gnome
Priority: extra
Maintainer: Linux Mint <root@linuxmint.com>
Build-Depends: python-distutils-extra, debhelper (>=7)

Package: folder-color-switcher
Architecture: all
Breaks: nemo-folder-color-switcher, caja-folder-color-switcher
Replaces: nemo-folder-color-switcher, caja-folder-color-switcher
Section: utils
Priority: extra
Depends: ${python:Depends}
Description: Change a folder color
 Change folder colors

## folder-color-switcher 1.2.6

=== debian/changelog ===
folder-color-switcher (1.2.6) tessa; urgency=medium

  * l10n: Update translations

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 11 Dec 2018 14:52:49 +0000

folder-color-switcher (1.2.5) tessa; urgency=medium

  [ Michael Webster ]
  * nemo-folder-color-switcher.py: Add a name and description to display in the plugin manager.

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 06 Dec 2018 13:33:15 +0000

folder-color-switcher (1.2.4) tessa; urgency=medium

  [ Clement Lefebvre ]
  * l10n: Update translations
  * nemo: Migrate to python3

  [ chingyinwan123 ]
  * Correct a video folder typo (#12) (#14)

  [ Clement Lefebvre ]
  * l10n: Update translations

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 27 Nov 2018 19:48:59 +0000

## folder-color-switcher 1.3.0

=== debian/changelog ===
folder-color-switcher (1.3.0) tina; urgency=medium

  * l10n: Update translations

 -- Clement Lefebvre <root@linuxmint.com>  Sun, 28 Jul 2019 15:30:04 +0200

folder-color-switcher (1.2.9) tina; urgency=medium

  * Remove extension icon
  * Set gettext domain in get_file_items()

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 22 Jul 2019 14:09:57 +0200

folder-color-switcher (1.2.8) tina; urgency=medium

  * l10n: Update translations

 -- Clement Lefebvre <root@linuxmint.com>  Wed, 10 Jul 2019 12:36:50 +0200

folder-color-switcher (1.2.7) tina; urgency=medium

  [ okaestne ]
  * Fixes for Mint 19.1 / Nemo 4 and Mint-Y (#16)

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 01 Jul 2019 10:33:37 +0200

## folder-color-switcher 1.3.2

=== debian/changelog ===
folder-color-switcher (1.3.2) tricia; urgency=medium

  * l10n: Update translations

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 26 Nov 2019 17:38:14 +0000

folder-color-switcher (1.3.1) tricia; urgency=medium

  [ Bruno Nocera Zanette ]
  * Add support for scalable PNG icons ([size]@2x) (#19)

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 22 Nov 2019 13:25:14 +0000

## folder-color-switcher 1.4.8

=== debian/changelog ===
folder-color-switcher (1.4.8) uma; urgency=medium

  * l10n: Update translations

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 25 Jun 2021 14:52:21 +0100

folder-color-switcher (1.4.7) uma; urgency=medium

  * l10n: Update translations

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 10 Jun 2021 11:43:01 +0100

folder-color-switcher (1.4.6) ulyssa; urgency=medium

  * l10n: Update translations

 -- Clement Lefebvre <root@linuxmint.com>  Sat, 02 Jan 2021 17:00:15 +0000

folder-color-switcher (1.4.5) ulyssa; urgency=medium

  * l10n: Update translations

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 10 Dec 2020 12:41:10 +0000

folder-color-switcher (1.4.4) ulyana; urgency=medium

  * l10n: Update translations

 -- Clement Lefebvre <root@linuxmint.com>  Wed, 24 Jun 2020 11:44:16 +0100

folder-color-switcher (1.4.3) ulyana; urgency=medium

  * Go back to original colors

 -- Clement Lefebvre <root@linuxmint.com>  Sat, 06 Jun 2020 12:02:22 +0100

folder-color-switcher (1.4.2) ulyana; urgency=medium

  [ okaestne ]
  * Python3 port for caja and sync with nemo version

 -- Clement Lefebvre <root@linuxmint.com>  Wed, 27 May 2020 12:49:20 +0100

folder-color-switcher (1.4.1) ulyana; urgency=medium

  [ okaestne ]
  * Skip files in selection instead of stopping
  * Partially revert "Skip files in selection instead of stopping"

  [ NikoKrause ]
  * use new color palette

  [ okaestne ]
  * Major rewrite: Use Gtk.IconTheme to find icons (fixes #22) (#26)

  [ Clement Lefebvre ]
  * Add missing POT and makepot
  * l10n: Update translations
  * Nemo: Fix i18n..

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 12 May 2020 13:12:01 +0100

folder-color-switcher (1.4.0) ulyana; urgency=medium

  [ okaestne ]
  * add .gitignore

  [ Michael Webster ]
  * debian: Remove python2 package dep, update a few other things to quiet down the build.

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 09 Apr 2020 13:00:40 +0100

## folder-color-switcher 1.5.0

=== debian/changelog ===
folder-color-switcher (1.5.0) una; urgency=medium

  * l10n: Update translations

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 31 Dec 2021 12:42:24 +0000

folder-color-switcher (1.4.9) una; urgency=medium

  * l10n: Update translations

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 06 Dec 2021 15:30:06 +0000

## folder-color-switcher 1.5.2

=== debian/changelog ===
folder-color-switcher (1.5.2) vanessa; urgency=medium

  * l10n: Update translations

 -- Clement Lefebvre <root@linuxmint.com>  Sun, 24 Jul 2022 12:11:26 +0200

folder-color-switcher (1.5.1) vanessa; urgency=medium

  * l10n: Update translations

 -- Clement Lefebvre <root@linuxmint.com>  Sun, 26 Jun 2022 15:50:06 +0200

=== debian/control ===
Source: folder-color-switcher
Section: gnome
Priority: extra
Maintainer: Linux Mint <root@linuxmint.com>
Build-Depends: debhelper (>=10), dh-python
Standards-Version: 3.9.5

Package: folder-color-switcher
Architecture: all
Breaks: nemo-folder-color-switcher, caja-folder-color-switcher
Replaces: nemo-folder-color-switcher, caja-folder-color-switcher
Section: utils
Priority: extra
Description: Change a folder color
 Change folder colors

## folder-color-switcher 1.5.5

=== debian/changelog ===
folder-color-switcher (1.5.5) vera; urgency=medium

  * l10n: Update translations

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 16 Dec 2022 13:00:04 +0000

folder-color-switcher (1.5.4) vera; urgency=medium

  [ Michael Webster ]
  * Add support for Mint-Y-Legacy and Mint-Y-Legacy-Dark icon sets.

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 13 Dec 2022 15:16:26 +0000

folder-color-switcher (1.5.3) vera; urgency=medium

  * Update colors

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 22 Nov 2022 15:10:06 +0000

## folder-color-switcher 1.5.6

=== debian/changelog ===
folder-color-switcher (1.5.6) victoria; urgency=medium

  * nemo: Localize the plugin description
  * l10n: Update POT
  * Read colors dynamically
  * Remove obsolete icons

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 01 Jun 2023 11:28:18 +0100

## folder-color-switcher 1.5.7

=== debian/changelog ===
folder-color-switcher (1.5.7) vera; urgency=medium

  * l10n: Update translations

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 08 Jun 2023 11:37:53 +0100

## folder-color-switcher 1.5.8

=== debian/changelog ===
folder-color-switcher (1.5.8) victoria; urgency=medium

  [ PurpleZeroHero ]
  * Get correct theme on Mate

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 26 Jun 2023 11:13:33 +0200

## folder-color-switcher 1.5.9

=== debian/changelog ===
folder-color-switcher (1.5.9) victoria; urgency=medium

  * l10n: Update translations

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 07 Jul 2023 16:54:35 +0200

## folder-color-switcher 1.6.0

=== debian/changelog ===
folder-color-switcher (1.6.0) virginia; urgency=medium

  * l10n: Update translations

 -- Clement Lefebvre <root@linuxmint.com>  Sun, 03 Dec 2023 14:54:52 +0000

## folder-color-switcher 1.6.1

=== debian/changelog ===
folder-color-switcher (1.6.1) virginia; urgency=medium

  * nemo-extension: Simplify name

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 15 Dec 2023 13:50:14 +0000

## folder-color-switcher 1.6.2

=== debian/changelog ===
folder-color-switcher (1.6.2) virginia; urgency=medium

  * l10n: Update translations

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 04 Jan 2024 16:36:35 +0000

## folder-color-switcher 1.6.3

=== debian/changelog ===
folder-color-switcher (1.6.3) wilma; urgency=medium

  * l10n: Update translations

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 18 Jun 2024 19:16:58 +0100

## folder-color-switcher 1.6.4

=== debian/changelog ===
folder-color-switcher (1.6.4) wilma; urgency=medium

  * l10n: Update translations

 -- Clement Lefebvre <root@linuxmint.com>  Sun, 21 Jul 2024 10:28:19 +0100

## folder-color-switcher 1.6.5

=== debian/changelog ===
folder-color-switcher (1.6.5) xia; urgency=medium

  [ Michael Webster ]
  * Use GtkSettings to get the icon theme.

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 25 Nov 2024 11:38:17 +0000

## folder-color-switcher 1.6.7

=== debian/changelog ===
folder-color-switcher (1.6.7) xia; urgency=medium

  * l10n: Update translations

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 06 Jan 2025 13:59:47 +0000

folder-color-switcher (1.6.6) xia; urgency=medium

  * l10n: Update translations

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 05 Dec 2024 10:38:09 +0000

## folder-color-switcher 1.6.8

=== debian/changelog ===
folder-color-switcher (1.6.8) zara; urgency=medium

  * l10n: Update translations

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 31 Jul 2025 11:44:31 +0200

## folder-color-switcher 1.6.9

=== debian/changelog ===
folder-color-switcher (1.6.9) zena; urgency=medium

  [ fffrankieh ]
  * do not change folder modification time (#38)

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 11 Dec 2025 13:56:19 +0000

## folder-color-switcher 1.7.0

=== debian/changelog ===
folder-color-switcher (1.7.0) zena; urgency=medium

  * l10n: Update translations

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 12 Dec 2025 16:51:18 +0000

## folder-color-switcher 1.7.1

=== debian/changelog ===
folder-color-switcher (1.7.1) zena; urgency=medium

  * l10n: Update translations

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 08 Jan 2026 16:01:45 +0000
